Broadcasts
Bulk sends to contacts on one account (Messenger / Instagram within the 24 h window or with HUMAN_AGENT, X, Bluesky…), rate limited per channel with per-recipient delivery status. Each recipient is one message.
broadcastsList broadcasts
/broadcastsTry it with MCPAsk your agent to call list-broadcasts (toolset broadcasts)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_atscheduled_atname
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
profile_idstringaccount_idstringstatusstringplatformstringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 26 item attributes
objectstringbroadcast
idstringprofile_idstring | nullaccount_idstring | nullaccount_namestring | nullplatformstringnamestringdescriptionstring | nullstatusstringdraftscheduledsendingcompletedfailedcancelled
messageobjectShow 3 child attributes
textstring | nullattachmentsarray of objectShow 3 item attributes
typestringurlstringfilenamestring | nullmessage_tagstring | nullsegment_filtersobject | nullShow 5 child attributes
tagsarray of stringtags_matchstringexclude_tagsarray of stringis_subscribedbooleancustom_fieldsobjectmessage_previewstring | nullrate_limit_per_minuteinteger | nullscheduled_atstring (date-time) | nullstarted_atstring (date-time) | nullcompleted_atstring (date-time) | nullrecipient_countintegerpending_countintegersent_countintegerdelivered_countintegerread_countintegerfailed_countintegerskipped_countintegerlast_errorstring | nullcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "broadcast",
"id": "string",
"profile_id": "string",
"account_id": "string",
"account_name": "string",
"platform": "string",
"name": "string",
"description": "string",
"status": "draft",
"message": {
"text": "string",
"attachments": [
{
"type": null,
"url": null,
"filename": null
}
],
"message_tag": "string"
},
"segment_filters": {
"tags": [
"string"
],
"tags_match": "string",
"exclude_tags": [
"string"
],
"is_subscribed": true,
"custom_fields": {}
},
"message_preview": "string",
"rate_limit_per_minute": 1,
"scheduled_at": "2026-10-13T09:00:00.000Z",
"started_at": "2026-10-13T09:00:00.000Z",
"completed_at": "2026-10-13T09:00:00.000Z",
"recipient_count": 1,
"pending_count": 1,
"sent_count": 1,
"delivered_count": 1,
"read_count": 1,
"failed_count": 1,
"skipped_count": 1,
"last_error": "string",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Create a broadcast draft
/broadcastssegment_filters select recipients by tags, subscription and custom fields.
Try it with MCPAsk your agent to call create-broadcast (toolset broadcasts)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
profile_idstringaccount_idstringrequiredplatformstringinstagramfacebookxblueskyredditdiscordmastodontiktoktwitter
namestringrequired1–200 characters
descriptionstring | null≤ 2000 characters
messageobjectShow 3 child attributes
textstring | null≤ 4096 characters
attachmentsarray of object≤ 10 items
Show 3 item attributes
typestringimagevideoaudiofile
urlstringrequired1–2048 characters
filenamestring≤ 255 characters
message_tagstring | nullHUMAN_AGENTCONFIRMED_EVENT_UPDATEPOST_PURCHASE_UPDATEACCOUNT_UPDATE
segment_filtersobject | nullShow 5 child attributes
tagsarray of string≤ 100 items
tags_matchstringanyall
exclude_tagsarray of string≤ 100 items
is_subscribedbooleancustom_fieldsobjectrate_limit_per_minuteinteger | null1–6000
Returns object
objectstringbroadcast
idstringprofile_idstring | nullaccount_idstring | nullaccount_namestring | nullplatformstringnamestringdescriptionstring | nullstatusstringdraftscheduledsendingcompletedfailedcancelled
messageobjectShow 3 child attributes
textstring | nullattachmentsarray of objectShow 3 item attributes
typestringurlstringfilenamestring | nullmessage_tagstring | nullsegment_filtersobject | nullShow 5 child attributes
tagsarray of stringtags_matchstringexclude_tagsarray of stringis_subscribedbooleancustom_fieldsobjectmessage_previewstring | nullrate_limit_per_minuteinteger | nullscheduled_atstring (date-time) | nullstarted_atstring (date-time) | nullcompleted_atstring (date-time) | nullrecipient_countintegerpending_countintegersent_countintegerdelivered_countintegerread_countintegerfailed_countintegerskipped_countintegerlast_errorstring | nullcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "broadcast",
"id": "string",
"profile_id": "string",
"account_id": "string",
"account_name": "string",
"platform": "string",
"name": "string",
"description": "string",
"status": "draft",
"message": {
"text": "string",
"attachments": [
{
"type": "string",
"url": "https://example.com",
"filename": "string"
}
],
"message_tag": "string"
},
"segment_filters": {
"tags": [
"string"
],
"tags_match": "string",
"exclude_tags": [
"string"
],
"is_subscribed": true,
"custom_fields": {}
},
"message_preview": "string",
"rate_limit_per_minute": 1,
"scheduled_at": "2026-10-13T09:00:00.000Z",
"started_at": "2026-10-13T09:00:00.000Z",
"completed_at": "2026-10-13T09:00:00.000Z",
"recipient_count": 1,
"pending_count": 1,
"sent_count": 1,
"delivered_count": 1,
"read_count": 1,
"failed_count": 1,
"skipped_count": 1,
"last_error": "string",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Preview a broadcast audience
/broadcasts/audience-previewCount (and sample) the contacts a segment reaches on an account.
Try it with MCPAsk your agent to call preview-broadcast-audience (toolset broadcasts)Set up MCP
Body object
profile_idstringaccount_idstringrequiredsegment_filtersobject | nullShow 5 child attributes
tagsarray of string≤ 100 items
tags_matchstringanyall
exclude_tagsarray of string≤ 100 items
is_subscribedbooleancustom_fieldsobjectReturns object
objectstringaudience_preview
countintegersamplearray of objectShow 3 item attributes
contact_idstringnamestringplatform_identifierstringResponses
{
"object": "audience_preview",
"count": 1,
"sample": [
{
"contact_id": "string",
"name": "string",
"platform_identifier": "string"
}
]
}Get a broadcast
/broadcasts/{id}Try it with MCPAsk your agent to call get-broadcast (toolset broadcasts)Set up MCP
Path parameters
idstringrequiredbroadcast id (brd_…)
1–80 characters
Returns object
objectstringbroadcast
idstringprofile_idstring | nullaccount_idstring | nullaccount_namestring | nullplatformstringnamestringdescriptionstring | nullstatusstringdraftscheduledsendingcompletedfailedcancelled
messageobjectShow 3 child attributes
textstring | nullattachmentsarray of objectShow 3 item attributes
typestringurlstringfilenamestring | nullmessage_tagstring | nullsegment_filtersobject | nullShow 5 child attributes
tagsarray of stringtags_matchstringexclude_tagsarray of stringis_subscribedbooleancustom_fieldsobjectmessage_previewstring | nullrate_limit_per_minuteinteger | nullscheduled_atstring (date-time) | nullstarted_atstring (date-time) | nullcompleted_atstring (date-time) | nullrecipient_countintegerpending_countintegersent_countintegerdelivered_countintegerread_countintegerfailed_countintegerskipped_countintegerlast_errorstring | nullcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "broadcast",
"id": "string",
"profile_id": "string",
"account_id": "string",
"account_name": "string",
"platform": "string",
"name": "string",
"description": "string",
"status": "draft",
"message": {
"text": "string",
"attachments": [
{
"type": "string",
"url": "https://example.com",
"filename": "string"
}
],
"message_tag": "string"
},
"segment_filters": {
"tags": [
"string"
],
"tags_match": "string",
"exclude_tags": [
"string"
],
"is_subscribed": true,
"custom_fields": {}
},
"message_preview": "string",
"rate_limit_per_minute": 1,
"scheduled_at": "2026-10-13T09:00:00.000Z",
"started_at": "2026-10-13T09:00:00.000Z",
"completed_at": "2026-10-13T09:00:00.000Z",
"recipient_count": 1,
"pending_count": 1,
"sent_count": 1,
"delivered_count": 1,
"read_count": 1,
"failed_count": 1,
"skipped_count": 1,
"last_error": "string",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Update a broadcast
/broadcasts/{id}Only while draft or scheduled (409 broadcast_not_editable).
Try it with MCPAsk your agent to call update-broadcast (toolset broadcasts)Set up MCP
Path parameters
idstringrequiredbroadcast id (brd_…)
1–80 characters
Body object
namestring1–200 characters
descriptionstring | null≤ 2000 characters
messageobjectShow 3 child attributes
textstring | null≤ 4096 characters
attachmentsarray of object≤ 10 items
Show 3 item attributes
typestringimagevideoaudiofile
urlstringrequired1–2048 characters
filenamestring≤ 255 characters
message_tagstring | nullHUMAN_AGENTCONFIRMED_EVENT_UPDATEPOST_PURCHASE_UPDATEACCOUNT_UPDATE
segment_filtersobject | nullShow 5 child attributes
tagsarray of string≤ 100 items
tags_matchstringanyall
exclude_tagsarray of string≤ 100 items
is_subscribedbooleancustom_fieldsobjectrate_limit_per_minuteinteger | null1–6000
Returns object
objectstringbroadcast
idstringprofile_idstring | nullaccount_idstring | nullaccount_namestring | nullplatformstringnamestringdescriptionstring | nullstatusstringdraftscheduledsendingcompletedfailedcancelled
messageobjectShow 3 child attributes
textstring | nullattachmentsarray of objectShow 3 item attributes
typestringurlstringfilenamestring | nullmessage_tagstring | nullsegment_filtersobject | nullShow 5 child attributes
tagsarray of stringtags_matchstringexclude_tagsarray of stringis_subscribedbooleancustom_fieldsobjectmessage_previewstring | nullrate_limit_per_minuteinteger | nullscheduled_atstring (date-time) | nullstarted_atstring (date-time) | nullcompleted_atstring (date-time) | nullrecipient_countintegerpending_countintegersent_countintegerdelivered_countintegerread_countintegerfailed_countintegerskipped_countintegerlast_errorstring | nullcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "broadcast",
"id": "string",
"profile_id": "string",
"account_id": "string",
"account_name": "string",
"platform": "string",
"name": "string",
"description": "string",
"status": "draft",
"message": {
"text": "string",
"attachments": [
{
"type": "string",
"url": "https://example.com",
"filename": "string"
}
],
"message_tag": "string"
},
"segment_filters": {
"tags": [
"string"
],
"tags_match": "string",
"exclude_tags": [
"string"
],
"is_subscribed": true,
"custom_fields": {}
},
"message_preview": "string",
"rate_limit_per_minute": 1,
"scheduled_at": "2026-10-13T09:00:00.000Z",
"started_at": "2026-10-13T09:00:00.000Z",
"completed_at": "2026-10-13T09:00:00.000Z",
"recipient_count": 1,
"pending_count": 1,
"sent_count": 1,
"delivered_count": 1,
"read_count": 1,
"failed_count": 1,
"skipped_count": 1,
"last_error": "string",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Delete a broadcast
/broadcasts/{id}Not while sending (cancel first).
Try it with MCPAsk your agent to call delete-broadcast (toolset broadcasts)Set up MCP
Path parameters
idstringrequiredbroadcast id (brd_…)
1–80 characters
Returns object
objectstringrequiredbroadcast
idstringrequireddeletedbooleanrequiredResponses
{
"object": "broadcast",
"id": "string",
"deleted": true
}Send a broadcast now
/broadcasts/{id}/sendResolves the segment when no recipients were added (422 no_recipients when nothing matches) and starts sending in rate-limited batches.
Try it with MCPAsk your agent to call send-broadcast (toolset broadcasts)Set up MCP
Path parameters
idstringrequiredbroadcast id (brd_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringbroadcast
idstringprofile_idstring | nullaccount_idstring | nullaccount_namestring | nullplatformstringnamestringdescriptionstring | nullstatusstringdraftscheduledsendingcompletedfailedcancelled
messageobjectShow 3 child attributes
textstring | nullattachmentsarray of objectShow 3 item attributes
typestringurlstringfilenamestring | nullmessage_tagstring | nullsegment_filtersobject | nullShow 5 child attributes
tagsarray of stringtags_matchstringexclude_tagsarray of stringis_subscribedbooleancustom_fieldsobjectmessage_previewstring | nullrate_limit_per_minuteinteger | nullscheduled_atstring (date-time) | nullstarted_atstring (date-time) | nullcompleted_atstring (date-time) | nullrecipient_countintegerpending_countintegersent_countintegerdelivered_countintegerread_countintegerfailed_countintegerskipped_countintegerlast_errorstring | nullcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "broadcast",
"id": "string",
"profile_id": "string",
"account_id": "string",
"account_name": "string",
"platform": "string",
"name": "string",
"description": "string",
"status": "draft",
"message": {
"text": "string",
"attachments": [
{
"type": "string",
"url": "https://example.com",
"filename": "string"
}
],
"message_tag": "string"
},
"segment_filters": {
"tags": [
"string"
],
"tags_match": "string",
"exclude_tags": [
"string"
],
"is_subscribed": true,
"custom_fields": {}
},
"message_preview": "string",
"rate_limit_per_minute": 1,
"scheduled_at": "2026-10-13T09:00:00.000Z",
"started_at": "2026-10-13T09:00:00.000Z",
"completed_at": "2026-10-13T09:00:00.000Z",
"recipient_count": 1,
"pending_count": 1,
"sent_count": 1,
"delivered_count": 1,
"read_count": 1,
"failed_count": 1,
"skipped_count": 1,
"last_error": "string",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Schedule a broadcast
/broadcasts/{id}/scheduleTry it with MCPAsk your agent to call schedule-broadcast (toolset broadcasts)Set up MCP
Path parameters
idstringrequiredbroadcast id (brd_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
scheduled_atstring (date-time)requiredReturns object
objectstringbroadcast
idstringprofile_idstring | nullaccount_idstring | nullaccount_namestring | nullplatformstringnamestringdescriptionstring | nullstatusstringdraftscheduledsendingcompletedfailedcancelled
messageobjectShow 3 child attributes
textstring | nullattachmentsarray of objectShow 3 item attributes
typestringurlstringfilenamestring | nullmessage_tagstring | nullsegment_filtersobject | nullShow 5 child attributes
tagsarray of stringtags_matchstringexclude_tagsarray of stringis_subscribedbooleancustom_fieldsobjectmessage_previewstring | nullrate_limit_per_minuteinteger | nullscheduled_atstring (date-time) | nullstarted_atstring (date-time) | nullcompleted_atstring (date-time) | nullrecipient_countintegerpending_countintegersent_countintegerdelivered_countintegerread_countintegerfailed_countintegerskipped_countintegerlast_errorstring | nullcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "broadcast",
"id": "string",
"profile_id": "string",
"account_id": "string",
"account_name": "string",
"platform": "string",
"name": "string",
"description": "string",
"status": "draft",
"message": {
"text": "string",
"attachments": [
{
"type": "string",
"url": "https://example.com",
"filename": "string"
}
],
"message_tag": "string"
},
"segment_filters": {
"tags": [
"string"
],
"tags_match": "string",
"exclude_tags": [
"string"
],
"is_subscribed": true,
"custom_fields": {}
},
"message_preview": "string",
"rate_limit_per_minute": 1,
"scheduled_at": "2026-10-13T09:00:00.000Z",
"started_at": "2026-10-13T09:00:00.000Z",
"completed_at": "2026-10-13T09:00:00.000Z",
"recipient_count": 1,
"pending_count": 1,
"sent_count": 1,
"delivered_count": 1,
"read_count": 1,
"failed_count": 1,
"skipped_count": 1,
"last_error": "string",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}Cancel a broadcast
/broadcasts/{id}/cancelPending recipients become skipped.
Try it with MCPAsk your agent to call cancel-broadcast (toolset broadcasts)Set up MCP
Path parameters
idstringrequiredbroadcast id (brd_…)
1–80 characters
Returns object
objectstringbroadcast
idstringprofile_idstring | nullaccount_idstring | nullaccount_namestring | nullplatformstringnamestringdescriptionstring | nullstatusstringdraftscheduledsendingcompletedfailedcancelled
messageobjectShow 3 child attributes
textstring | nullattachmentsarray of objectShow 3 item attributes
typestringurlstringfilenamestring | nullmessage_tagstring | nullsegment_filtersobject | nullShow 5 child attributes
tagsarray of stringtags_matchstringexclude_tagsarray of stringis_subscribedbooleancustom_fieldsobjectmessage_previewstring | nullrate_limit_per_minuteinteger | nullscheduled_atstring (date-time) | nullstarted_atstring (date-time) | nullcompleted_atstring (date-time) | nullrecipient_countintegerpending_countintegersent_countintegerdelivered_countintegerread_countintegerfailed_countintegerskipped_countintegerlast_errorstring | nullcreated_atstring (date-time) | nullupdated_atstring (date-time) | nullResponses
{
"object": "broadcast",
"id": "string",
"profile_id": "string",
"account_id": "string",
"account_name": "string",
"platform": "string",
"name": "string",
"description": "string",
"status": "draft",
"message": {
"text": "string",
"attachments": [
{
"type": "string",
"url": "https://example.com",
"filename": "string"
}
],
"message_tag": "string"
},
"segment_filters": {
"tags": [
"string"
],
"tags_match": "string",
"exclude_tags": [
"string"
],
"is_subscribed": true,
"custom_fields": {}
},
"message_preview": "string",
"rate_limit_per_minute": 1,
"scheduled_at": "2026-10-13T09:00:00.000Z",
"started_at": "2026-10-13T09:00:00.000Z",
"completed_at": "2026-10-13T09:00:00.000Z",
"recipient_count": 1,
"pending_count": 1,
"sent_count": 1,
"delivered_count": 1,
"read_count": 1,
"failed_count": 1,
"skipped_count": 1,
"last_error": "string",
"created_at": "2026-10-13T09:00:00.000Z",
"updated_at": "2026-10-13T09:00:00.000Z"
}List broadcast recipients
/broadcasts/{id}/recipientsTry it with MCPAsk your agent to call list-broadcast-recipients (toolset broadcasts)Set up MCP
Path parameters
idstringrequiredbroadcast id (brd_…)
1–80 characters
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_atsent_at
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
statusstringcontact_idstringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 15 item attributes
objectstringbroadcast_recipient
idstringbroadcast_idstringcontact_idstring | nullchannel_idstring | nullcontact_namestring | nullplatform_identifierstring | nullstatusstringpendingsentdeliveredreadfailedskipped
message_idstring | nullerrorstring | nullerror_codestring | nullsent_atstring (date-time) | nulldelivered_atstring (date-time) | nullread_atstring (date-time) | nullcreated_atstring (date-time) | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "broadcast_recipient",
"id": "string",
"broadcast_id": "string",
"contact_id": "string",
"channel_id": "string",
"contact_name": "string",
"platform_identifier": "string",
"status": "pending",
"message_id": "string",
"error": "string",
"error_code": "string",
"sent_at": "2026-10-13T09:00:00.000Z",
"delivered_at": "2026-10-13T09:00:00.000Z",
"read_at": "2026-10-13T09:00:00.000Z",
"created_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Add broadcast recipients
/broadcasts/{id}/recipientsBy contact_ids and/or use_segment. Contacts without a subscribed channel on the account are skipped.
Try it with MCPAsk your agent to call add-broadcast-recipients (toolset broadcasts)Set up MCP
Path parameters
idstringrequiredbroadcast id (brd_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
contact_idsarray of string≤ 10000 items
use_segmentbooleanReturns object
objectstringbroadcast_recipients_result
addedintegerskippedintegerrecipient_countintegerResponses
{
"object": "broadcast_recipients_result",
"added": 1,
"skipped": 1,
"recipient_count": 1
}